Subject: bug#48616: GParted root

From: Leo Famulari <[email-masked]>
Date: Mon, 24 May 2021 13:19:19 -0400

On Mon, May 24, 2021 at 12:33:31AM +0300, Emad Alblueshi wrote:
> I have installed *GParted* 1.2.0 using (guix system GNOME) the app showed
> an error message instead of asking root password to use it and even if I
> run the app as a root the icons are not showing up  properly.

Can you clarify what you mean when you say that you installed it "using
(guix system GNOME)"?

On my Debian system, I installed GParted into my normal user's profile,
and I use it like this:

`sudo --preserve-env /home/leo/.guix-profile/bin/gparted`

It's hacky but it ensures that you have privileges, and the
'preserve-env' makes the icons appear.

In general, you have to be root to use GParted, so you could also
install it as root: `sudo --login guix install gparted`.